@if (canShowSelectField) {
  <div class="flex-row">
    <sqtm-core-editable-select-field
      [options]="visibleProtocolOptions"
      [editable]="visibleProtocolOptions.length > 1"
      [layout]="'no-buttons'"
      [attr.data-test-field-id]="'authProtocol'"
      [value]="authConfigurationFormData.authenticationProtocol"
      (confirmEvent)="confirmAuthProtocol($event)"
    >
    </sqtm-core-editable-select-field>
    @if (authConfigurationFormData.authenticationProtocol === 'OAUTH_2') {
      <a
        class="m-l-10"
        target="_blank"
        href="{{
          'sqtm-core.administration-workspace.bugtrackers.oauth2.documentation-link'
            | translate
        }}"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:help"
          nzTheme="outline"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.administration-workspace.bugtrackers.oauth2.tooltip.documentation-info'
              | translate
          "
          class="current-workspace-button tooltip-icon table-icon-size"
        >
        </i>
      </a>
    }
  </div>
}

@if (isOAuth2) {
  <div
    class="block-border oauth-grid p-l-10 m-t-8"
    [formGroup]="oauth2FormGroup"
    [attr.data-test-element-id]="'oauth2-form'"
  >
    <sqtm-core-label [text]="translateKeys.grantType | translate">
    </sqtm-core-label>
    <sqtm-core-select-field
      [formGroup]="oauth2FormGroup"
      [fieldName]="'grantType'"
      [options]="oauth2GrantTypeOptions"
      class="colspan-field"
    >
    </sqtm-core-select-field>
    <sqtm-core-label [text]="translateKeys.clientId | translate">
    </sqtm-core-label>
    <sqtm-core-text-field
      [formGroup]="oauth2FormGroup"
      [fieldName]="'clientId'"
      class="colspan-field"
    >
    </sqtm-core-text-field>
    <sqtm-core-label [text]="translateKeys.clientSecret | translate">
    </sqtm-core-label>
    <sqtm-core-text-field
      [formGroup]="oauth2FormGroup"
      [fieldName]="'clientSecret'"
      class="colspan-field"
      inputType="password"
      class="colspan-field"
    >
    </sqtm-core-text-field>
    <sqtm-core-label [text]="translateKeys.authorizationUrl | translate">
    </sqtm-core-label>
    <sqtm-core-text-field
      [formGroup]="oauth2FormGroup"
      [fieldName]="'authorizationUrl'"
      class="colspan-field"
    >
    </sqtm-core-text-field>
    <sqtm-core-label [text]="translateKeys.requestTokenUrl | translate">
    </sqtm-core-label>
    <sqtm-core-text-field
      [formGroup]="oauth2FormGroup"
      [fieldName]="'requestTokenUrl'"
      class="colspan-field"
    >
    </sqtm-core-text-field>
    <sqtm-core-label [text]="translateKeys.callbackUrl | translate">
    </sqtm-core-label>
    <sqtm-core-text-field
      [formGroup]="oauth2FormGroup"
      [fieldName]="'callbackUrl'"
      class="colspan-field"
    >
    </sqtm-core-text-field>
    <sqtm-core-label [text]="translateKeys.scope | translate">
    </sqtm-core-label>
    <sqtm-core-text-field
      [formGroup]="oauth2FormGroup"
      [fieldName]="'scope'"
      class="colspan-field"
    >
    </sqtm-core-text-field>
    <div class="full-row flex-row">
      <button
        class="flex-fixed-size ant-btn ant-btn-primary m-auto m-t-5"
        nz-button
        [disabled]="oauth2FormGroup.invalid"
        [attr.data-test-element-id]="'save-oauth2-button'"
        (click)="sendOAuth2Form()"
      >
        {{ 'sqtm-core.generic.label.save' | translate }}
      </button>
    </div>
    <div
      class="full-row flex-row"
      [attr.data-test-element-id]="'status-message'"
    >
      <b class="m-auto">{{ authConfigurationStatusMessage | translate }}</b>
    </div>
  </div>
}
